# Add-RASPubRDSAppServerAttr

### NAME

Add-RASPubRDSAppServerAttr\ <br>

### SYNOPSIS

Adds RDS application attributes to specific server from where the application is hosted.\ <br>

### SYNTAX

Add-RASPubRDSAppServerAttr \[-[Id](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Add-RASPubRDSAppServerAttr.html#Id)] *\<uint>* -[ServerID](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Add-RASPubRDSAppServerAttr.html#ServerID) *\<uint>* \[-[Parameters](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Add-RASPubRDSAppServerAttr.html#Parameters) *\<string>*] \[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Add-RASPubRDSAppServerAttr.html#SiteId) *\<uint>*] \[-[StartIn](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Add-RASPubRDSAppServerAttr.html#StartIn) *\<string>*] \[-[Target](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Add-RASPubRDSAppServerAttr.html#Target) *\<string>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Add-RASPubRDSAppServerAttr.html#CommonParameters)*>*]\
\
Add-RASPubRDSAppServerAttr \[-[InputObject](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Add-RASPubRDSAppServerAttr.html#InputObject)] *<*[*PubItem*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/PubItem.html)*>* -[ServerID](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Add-RASPubRDSAppServerAttr.html#ServerID) *\<uint>* \[-[Parameters](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Add-RASPubRDSAppServerAttr.html#Parameters) *\<string>*] \[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Add-RASPubRDSAppServerAttr.html#SiteId) *\<uint>*] \[-[StartIn](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Add-RASPubRDSAppServerAttr.html#StartIn) *\<string>*] \[-[Target](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Add-RASPubRDSAppServerAttr.html#Target) *\<string>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Add-RASPubRDSAppServerAttr.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Adds RDS application attributes to a specific server from where the application is hosted.\ <br>

### PARAMETERS

\
-**ServerID \<uint>**\
RDS server ID on which the attributes will be updated.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Target \<string>**\
Application target file. (i.e. calc.exe, file.txt, etc.)\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**StartIn \<string>**\
Application working directory.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Parameters \<string>**\
Application parameters.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Id \<uint>**\
Published resource ID.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**InputObject <**[**PubItem**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/PubItem.html)**>**\
An object specifying the published resource.\
\
To obtain the object, use the Get-PubItem cmdlet.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       true (ByValue)
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

[PubItem](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/PubItem.html)

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Add-RASPubRDSAppServerAtt -Id 2 -ServerID 15 -Target cmd.exe -StartIn C:\Windows\ -Parameters "-param 1 -param 2"\
\
Adds an existing per server application attribute settings by application Id.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Add-RASPubRDSAppServerAtt -InputObject $RDSApp -ServerID 15 -Target cmd.exe -StartIn C:\Windows\ -Parameters "-param 1 -param 2"\
\
Adds an existing per server application attribute settings by input object.\
\&#xNAN;**---------- EXAMPLE 3 ----------**\
\
Get-RASPubRDSApp -Id 2 | Add-RASPubRDSAppServerAtt -ServerID 15 -Target cmd.exe -StartIn C:\Windows\ -Parameters "-param 1 -param 2"\
\
Adds an existing per server application attribute settings by input object from pipeline.\ <br>

### RELATED LINKS

* [Get-RASPubRDSAppServerAttr](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASPubRDSAppServerAttr.html)
* [Set-RASPubRDSAppServerAttr](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASPubRDSAppServerAttr.html)
* [Remove-RASPubRDSAppServerAttr](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASPubRDSAppServerAttr.html)
* Get-RASRDS
* [Get-RASPubRDSApp](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASPubRDSApp.html)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/add-raspubrdsappserverattr.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
